<?php

namespace App\Models\HrPayroll;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class SalaryGradeRule extends Model
{
    use HasFactory;
    
    protected $fillable = [
        'salary_grade_id',
        'salary_head_id',
        'rule_type',
        'amount',
    ];

    public function salaryGrade()
    {
        return $this->belongsTo(SalaryGrade::class);
    }

    public function salaryHead()
    {
        return $this-> belongsTo(SalaryHead::class);
    }
}
